package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@ApiModel(value = "GoblinSelfGoodsCategoryVo", description = "平台分类信息")
@Data
public class GoblinCategoryzfVo implements Serializable, Cloneable {
    private static final long serialVersionUID = -2342407105969740471L;
    @ApiModelProperty(value = "传入的当前分类信息")
    GoblinSelfGoodsCategoryVo goblinSelfGoodsCategoryVo;
    @ApiModelProperty(value = "当前分类子信息")
    List<GoblinSelfGoodsCategoryVo> list;

    private static final GoblinCategoryzfVo obj = new GoblinCategoryzfVo();
    public static GoblinCategoryzfVo getNew() {
        try {
            return (GoblinCategoryzfVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinCategoryzfVo();
        }
    }
}
